> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Hris Person

> Creates an HRIS employee or contractor with compliance and onboarding records, then sends notification emails and the invite.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-hris-person
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-hris-person:
    post:
      operationId: createHrisPerson
      summary: Create Hris Person
      description: >-
        Creates an HRIS employee or contractor with compliance and onboarding
        records, then sends notification emails and the invite.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateHrisPersonRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateHrisPersonResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateHrisPersonRequest:
      oneOf:
        - $ref: '#/components/schemas/CreateHrisPersonEmployeeRequest'
        - $ref: '#/components/schemas/CreateHrisPersonContractorRequest'
      discriminator:
        propertyName: employmentType
        mapping:
          EMPLOYEE: '#/components/schemas/CreateHrisPersonEmployeeRequest'
          CONTRACTOR: '#/components/schemas/CreateHrisPersonContractorRequest'
    CreateHrisPersonEmployeeRequest:
      type: object
      properties:
        givenName:
          type: string
          minLength: 1
        familyName:
          type: string
          minLength: 1
        email:
          type: string
          format: email
        workEmail:
          oneOf:
            - type: string
              format: email
            - const: ''
        country:
          type: string
          minLength: 1
        startDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        title:
          type: string
          minLength: 1
          maxLength: 200
        department:
          type: string
          maxLength: 200
        probationEndDate:
          type: string
        probationClause:
          type: string
          enum:
            - INCLUDE
            - REMOVE
        employmentType:
          const: EMPLOYEE
        employmentServiceType:
          type: string
          enum:
            - EOR
            - PEO
            - PAYROLL_ONLY
        jobDescription:
          type: string
          maxLength: 5000
        baseSalary:
          type: string
        baseSalaryPaymentType:
          type: string
          enum:
            - FIAT
            - TOKEN
        baseSalaryCurrency:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        baseSalaryTokenTypeID:
          type: string
          format: uuid
        agreementType:
          type: string
          enum:
            - ONGOING
            - FIXED_TERM
          default: ONGOING
        workSchedule:
          type: string
          enum:
            - FULL_TIME
            - PART_TIME
        hoursPerWeek:
          type: number
          exclusiveMinimum: 0
          maximum: 168
        directorStatus:
          type: string
          enum:
            - Director
            - Non-Director
        dePriorEmployment:
          type: object
          properties:
            groupEmployment:
              type: string
              enum:
                - 'YES'
                - 'NO'
                - NOT_SURE
            agencyPlacement:
              type: string
              enum:
                - 'YES'
                - 'NO'
                - NOT_SURE
            agencyPlacementStart:
              type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            agencyPlacementEnd:
              type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
          required:
            - groupEmployment
            - agencyPlacement
        leaseSignatory:
          type: object
          properties:
            name:
              type: string
              minLength: 1
            email:
              type: string
              format: email
          required:
            - name
            - email
        continuousServiceDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        continuousServiceBasis:
          type: string
          enum:
            - TUPE_TRANSFER
        endDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        fixedTermReason:
          type: string
          maxLength: 500
        visaSupportNeeded:
          type: boolean
          default: false
        tokenGrantRequested:
          type: boolean
          default: false
        signOnBonusAmount:
          type: number
          exclusiveMinimum: 0
        signOnBonusCurrency:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        employmentAgreementReview:
          type: object
          properties:
            templateVersionId:
              type: string
              format: uuid
            displayHash:
              type: string
              pattern: ^[a-f0-9]{64}$
            suggestions:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  templateId:
                    type: string
                    format: uuid
                  quote:
                    type: string
                    minLength: 1
                  start:
                    type: integer
                    minimum: 0
                  replacement:
                    type:
                      - string
                      - 'null'
                  comment:
                    type: string
                    maxLength: 4000
                  decision:
                    type: string
                    enum:
                      - PENDING
                      - APPROVED
                      - REJECTED
                  response:
                    type: string
                    maxLength: 4000
                required:
                  - id
                  - templateId
                  - quote
                  - replacement
                  - comment
                  - decision
                  - response
              minItems: 1
              maxItems: 200
            acceptChangeFee:
              const: true
          required:
            - templateVersionId
            - displayHash
            - suggestions
            - acceptChangeFee
        usdSalaryConversion:
          type: object
          properties:
            usdAmount:
              type: string
              pattern: ^\d+(?:\.\d{1,2})?$
            rateDate:
              type: string
              pattern: ^\d{4}-\d{2}-01$
          required:
            - usdAmount
            - rateDate
      required:
        - givenName
        - familyName
        - email
        - country
        - title
        - employmentType
        - employmentServiceType
        - baseSalary
        - agreementType
        - visaSupportNeeded
        - tokenGrantRequested
    CreateHrisPersonContractorRequest:
      type: object
      properties:
        givenName:
          type: string
          minLength: 1
        familyName:
          type: string
          minLength: 1
        email:
          type: string
          format: email
        workEmail:
          oneOf:
            - type: string
              format: email
            - const: ''
        country:
          type: string
          minLength: 1
        startDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        title:
          type: string
          maxLength: 200
        department:
          type: string
          maxLength: 200
        employmentType:
          const: CONTRACTOR
        contractorType:
          type: string
          enum:
            - CLIENT_MANAGED
            - TOKU_CONTRACTOR
            - AGENT_OF_RECORD
        jobDescription:
          type: string
          maxLength: 5000
        rateType:
          type: string
          enum:
            - hourly
            - monthly
            - yearly
        rateAmount:
          type: string
        rateCurrency:
          type: string
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
        agreementType:
          type: string
          enum:
            - ONGOING
            - FIXED_TERM
          default: ONGOING
        endDate:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
      required:
        - givenName
        - familyName
        - email
        - country
        - employmentType
        - contractorType
        - rateType
        - rateAmount
        - rateCurrency
        - agreementType
    CreateHrisPersonResponse:
      type: object
      properties:
        roleInOrgID:
          type: string
        email:
          type: string
        fullName:
          type: string
        inviteHoldReason:
          type:
            - string
            - 'null'
          enum:
            - MISSING_EMPLOYMENT_AGREEMENT
            - null
        inviteHoldMessage:
          type:
            - string
            - 'null'
      required:
        - roleInOrgID
        - email
        - fullName
        - inviteHoldReason
        - inviteHoldMessage
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
